#!/bin/bash

JCPKCS_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jcpkcs11-2_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_x64\.rpm)/\1/p'`
UC_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_x64\.rpm)/\1/p'`
JCSECURBIO_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jcsecurbio_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_x64\.rpm)/\1/p'`
cd "$(dirname "$0")"

if [ -z "RPM-GPG-KEY-ALADDIN_RD-AO.public" ]; then
    echo "Ошибка!!! Отсутствует публичный ключ АО \"Аладдин Р.Д.\"!"
    exit 1
fi

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

if [ -z "$JCSECURBIO_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcsecurbio!"
    exit 1
fi

if [ -f "/etc/altlinux-release" ]; then
    apt-get install -y libpcsclite pcsc-lite pcsc-lite-ccid libxkbcommon-x11
    apt-get install -y $JCPKCS_PACKAGE $UC_PACKAGE $JCSECURBIO_PACKAGE
    
else
    rpm --import RPM-AO-ALADDIN.public.asc
    if [ $? -eq 0 ]; then
        echo -e "\e[32mThe public key has been successfully imported\e[0m"
    else
         echo -e "\e[31mError while importing the public key\e[0m"
    fi
    yum install -y $JCPKCS_PACKAGE $UC_PACKAGE $JCSECURBIO_PACKAGE 
fi

